Redmine - Defect #7474

Internal error
2011-01-28 07:57 - Miguel Seuster

Status: Closed Start date: 2011-01-28
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.1.0
Description

Hi,

if | update an issue while the 'time spent' wealth, | get the following error:
*Internal error

An error occurred on the page you were trying to access.
If you continue to experience problems please contact your redMine administrator for assistance*

| use the latest Release of Redmine.

Thanks for your help!

History

#1 - 2011-01-28 08:26 - Miguel Seuster

Here is an abstract from the log-file:
Processing IssuesController#update (for 217.194.224.41 at 2011-01-28 08:16:15) [PUT]
Parameters: {"time_entry"=>{"comments"=>"", "activity_id"=>"11", "hours"=>"1"}, "commit"=>"OK", "notes"=>"", "action"=>"update",
"_method"=>"put", "authenticity_token"=>"RtePQvF2C1y4+riticGrKNYBTIXWeOUUUWO0QyICkpx0=", "id"=>"90", "issue"=>{"support_urls"=>"",
"start_date"=>"2010-12-14", "estimated_hours"=>"3", "priority_id"=>"5", "parent_issue_id"=>"54", "lock_version"=>"2", "done_ratio"=>"100",
"assigned_to_id"=>"6", "subject"=>"The adding of extra Keywords to the search bar and navigation bar is only functional on the DAMS tab yet,

not on the Flickr and Dreamtime tab", "tracker_id"=>"2", "due_date"=>"", "status_id"=>"5", "description"=>""}, "controller"=>"issues",
"attachments"=>{"1"=>{"description"=>""}}}

ActiveRecord::Statementinvalid (Mysqgl::Error: Column 'role’ cannot be null: INSERT INTO “time_entries™ (‘comments’, “created_on’, "cost’,
‘project_id", “issue_id", “‘tmonth’, “activity_id", “role’, “spent_on’, ‘updated_on’, ‘user_id", "hours’, ‘tyear’, “‘tweek’) VALUES):
app/models/issue.rb:502:in “save_issue_with_child_records'

app/models/issue.rb:494:in “save_issue_with_child_records'

app/controllers/issues_controller.rb:170:in “update'

public/dispatch.fcgi:24@

#2 - 2011-01-28 08:45 - Marc Krebs

As i could see, the error comes from database where column "role" is not submitted during insert.
Does anyone knows where this field comes from an why it is null?

#3 - 2011-01-28 10:26 - Etienne Massip

Table time_entries has no 'role’ column in redmine db, are you using some plugin relative to roles ?
#4 - 2011-01-28 13:27 - Marc Krebs

We have installed some earlier before. But we removed it.

Can we manually delete this table column?

#5 - 2011-01-28 14:19 - Etienne Massip

- Status changed from New to Resolved

| suppose you could as it is not used by redmine.
Hope that it will resolve your problem.

#6 - 2011-01-28 14:25 - Miguel Seuster

Hello,

we have resolved the problem. There were some old tables in the database.

Thanks

#7 - 2011-01-28 15:07 - Etienne Massip
- Status changed from Resolved to Closed

- Resolution set to Invalid

#8 - 2011-10-25 13:01 - Raymond Wolff
SPAM
